import { KatexRenderer, Mathjax2Renderer, MathJax3Renderer } from './impl';
import { MathEngine } from './model';
export const createMathRenderer = (rendererConfig) => {
    switch (rendererConfig.engine) {
        case MathEngine.MathJax2:
            return new Mathjax2Renderer().config(rendererConfig);
        case MathEngine.MathJax3:
            return new MathJax3Renderer().config(rendererConfig);
        case MathEngine.Katex:
            return new KatexRenderer().config(rendererConfig);
        default:
            throw Error('Renderer unavailable');
    }
};
//# sourceMappingURL=factory.js.map