'use strict';
function parseNextNumber(str, pos, max) {
    let code, start = pos, result = {
        ok: false,
        pos: pos,
        value: '',
    };
    code = str.charCodeAt(pos);
    while ((pos < max && code >= 0x30 && code <= 0x39) || code === 0x25) {
        code = str.charCodeAt(++pos);
    }
    result.ok = true;
    result.pos = pos;
    result.value = str.slice(start, pos);
    return result;
}
export function parseImageSize(str, pos, max) {
    let code, result = {
        ok: false,
        pos: 0,
        width: '',
        height: '',
    };
    if (pos >= max) {
        return result;
    }
    code = str.charCodeAt(pos);
    if (code !== 0x3d) {
        return result;
    }
    pos++;
    code = str.charCodeAt(pos);
    if (code !== 0x78 && (code < 0x30 || code > 0x39)) {
        return result;
    }
    const resultW = parseNextNumber(str, pos, max);
    pos = resultW.pos;
    code = str.charCodeAt(pos);
    if (code !== 0x78) {
        return result;
    }
    pos++;
    const resultH = parseNextNumber(str, pos, max);
    pos = resultH.pos;
    result.width = resultW.value;
    result.height = resultH.value;
    result.pos = pos;
    result.ok = true;
    return result;
}
//# sourceMappingURL=parse_image_size.js.map